Sync git-buildpackage 0.4.67 (universe) from Debian unstable (main)

Bug #584000 reported by Felix Geyer on 2010-05-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
git-buildpackage (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync git-buildpackage 0.4.67 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
> * pychecker was removed from Ubuntu as it needs porting to python2.6; drop
> pychecker build-dep and comment out pychecker invocation in rules; see
> LP #516932.

pychecker is back in the archive so the Ubuntu delta can be dropped.

Changelog entries since current maverick version 0.4.65ubuntu1:

git-buildpackage (0.4.67) unstable; urgency=low

  * [6427e2a] git-import-dsc: Add --download option. This allows to directly
    import source packages either via git-import-dsc --download <pkg> or
    git-import-dsc --download <url-to-dsc> The former uses "apt-get soure" the
    later "dget". (Closes: #510036)
  * [823f49f] gbp-pull: Document exit codes
  * [9fb419f] git-import-orig: Document --uscan
  * [3473689] git-buildpackage: Document --git-compression and
    --git-compression-level
  * [f31c82d] git-dch: Document 'Git-Dch: Ignore' and 'Git-Dch: Short'
  * [65b9e0d] gbp-pq: Improve manpage and help output
  * [33e56ca] git-import-dsc: Document --download

 -- Guido Günther <email address hidden> Sat, 15 May 2010 14:01:03 +0200

git-buildpackage (0.4.66) unstable; urgency=low

  [ Paul Menzel ]
  * [1072473] docs/manpages/git-dch.sgml: Consistency fixes and typo.
     • Start sentences with capital letter and end them with a full stop.
     • s/enty/entry/

  [ David Paleino ]
  * [49e31b1] Add --uscan command-line option Launch uscan and use the
    tarball, if there's a new upstream version. (Closes: #577394)

  [ Guido Günther ]
  * [0826409] Bump standards version
  * [6646d63] Depend on git | git-core (Closes: #577731)
  * [f7a085a] Make --uscan more robust by not throwing exceptions onto the
    console and catching download errors.
  * [9521e6c] Fix typo - thanks to Paul Menzel
  * [a2dd58d] gbp-pull: Requests for non fast-forward updates should exit with
    a non-zero result (Closes: #579997)
  * [b0100b6] Add simple Zeitgist data provider
  * [5aefe29] Add 'Git-Dch: Short' tag to changelog parser This omits
    the long description of the commit from the changelog.

 -- Guido Günther <email address hidden> Tue, 04 May 2010 09:08:40 +0200

Benjamin Drung (bdrung) on 2010-05-22
Changed in git-buildpackage (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package git-buildpackage - 0.4.67

---------------
git-buildpackage (0.4.67) unstable; urgency=low

  * [6427e2a] git-import-dsc: Add --download option. This allows to directly
    import source packages either via git-import-dsc --download <pkg> or
    git-import-dsc --download <url-to-dsc> The former uses "apt-get soure" the
    later "dget". (Closes: #510036)
  * [823f49f] gbp-pull: Document exit codes
  * [9fb419f] git-import-orig: Document --uscan
  * [3473689] git-buildpackage: Document --git-compression and
    --git-compression-level
  * [f31c82d] git-dch: Document 'Git-Dch: Ignore' and 'Git-Dch: Short'
  * [65b9e0d] gbp-pq: Improve manpage and help output
  * [33e56ca] git-import-dsc: Document --download

git-buildpackage (0.4.66) unstable; urgency=low

  [ Paul Menzel ]
  * [1072473] docs/manpages/git-dch.sgml: Consistency fixes and typo.
     • Start sentences with capital letter and end them with a full stop.
     • s/enty/entry/

  [ David Paleino ]
  * [49e31b1] Add --uscan command-line option Launch uscan and use the
    tarball, if there's a new upstream version. (Closes: #577394)

  [ Guido Günther ]
  * [0826409] Bump standards version
  * [6646d63] Depend on git | git-core (Closes: #577731)
  * [f7a085a] Make --uscan more robust by not throwing exceptions onto the
    console and catching download errors.
  * [9521e6c] Fix typo - thanks to Paul Menzel
  * [a2dd58d] gbp-pull: Requests for non fast-forward updates should exit with
    a non-zero result (Closes: #579997)
  * [b0100b6] Add simple Zeitgist data provider
  * [5aefe29] Add 'Git-Dch: Short' tag to changelog parser This omits
    the long description of the commit from the changelog.
 -- Felix Geyer <email address hidden> Sat, 15 May 2010 14:01:03 +0200

Changed in git-buildpackage (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers